# opentl::core::cvdata::VisContourSamplePts Class Reference

Class for storing the body space countour sample points edge-wise (edge-wise data storage avoids the usage of companion point indices and eases RANSAC usage). More...

Inherits opentl::core::cvdata::VisualFeatures.

List of all members.

## Classes
struct | CPOINT
| Stores the coordinates of visible edge sample points in body space + companion point index. More...
struct | Edge
| Stores the indices of one inlier measurement related to CPOINT structure. More...
## Public Member Functions
void | clear (void)
| Delete all data within an existing instance.
virtual VisContourSamplePts & | operator= (const opentl::core::cvdata::VisContourSamplePts &other)
| assign operator
| VisContourSamplePts ()
| Constructor.
virtual | ~VisContourSamplePts ()
| Destructor.
## Public Attributes
std::vector< Edge > | edges
| Edge-wise body contour sample points.
std::vector< CPOINT > | samplePoints
| Vector of contour sample points (valid and not valid, to have a fixed pre-allocated size).
std::size_t | validSamplePointCounter
| Counter of valid sample points.

## Detailed Description

Class for storing the body space countour sample points edge-wise (edge-wise data storage avoids the usage of companion point indices and eases RANSAC usage).

Author:
  erwin.roth@weihenstephan.org

## Constructor & Destructor Documentation

opentl::core::cvdata::VisContourSamplePts::VisContourSamplePts | ( |  | ) |

Constructor.

virtual opentl::core::cvdata::VisContourSamplePts::~VisContourSamplePts | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void opentl::core::cvdata::VisContourSamplePts::clear | ( | void |  | ) |

Delete all data within an existing instance.

virtual VisContourSamplePts& opentl::core::cvdata::VisContourSamplePts::operator= | ( | const opentl::core::cvdata::VisContourSamplePts & | other | ) | `[virtual]`

assign operator

## Member Data Documentation

std::vector<Edge > opentl::core::cvdata::VisContourSamplePts::edges

Edge-wise body contour sample points.

std::vector<CPOINT > opentl::core::cvdata::VisContourSamplePts::samplePoints

Vector of contour sample points (valid and not valid, to have a fixed pre-allocated size).

std::size_t opentl::core::cvdata::VisContourSamplePts::validSamplePointCounter

Counter of valid sample points.